countTransactionsPosted
GET /v5/books/{bookId}/transactions/count/posted
GET
/v5/books/{bookId}/transactions/count/posted
Count transactions posted
Authorizations
Parameters
Path Parameters
bookId
required
string
The id of the book. Same bookId url param on Bkper
Query Parameters
after
required
string format: date
After date, on yyyy-mm-dd format.
before
required
string format: date
Before date, on yyyy-mm-dd format.
periodicity
required
string
Periodicity DAILY or MONTHLY
Responses
200
A Counts response
object
posted
Array<object>
object
day
integer format: int32
fuzzyDate
integer format: int32
month
integer format: int32
total
integer format: int64
year
integer format: int32
trashed
Array<object>
object
day
integer format: int32
fuzzyDate
integer format: int32
month
integer format: int32
total
integer format: int64
year
integer format: int32
Examples
{ "posted": [ { "day": 1, "fuzzyDate": 1, "month": 1, "total": 1, "year": 1 } ], "trashed": [ { "day": 1, "fuzzyDate": 1, "month": 1, "total": 1, "year": 1 } ]}default
An error response from the Bkper API or its public API proxy.
A JSON error response. API operation errors use the nested error object. Public API proxy errors use the Problem Details fields.
object
error
object
errors
Array<object>
object
domain
string
reason
string
message
string
code
required
integer format: int32
message
required
string
type
string
title
string
status
integer format: int32
detail
string
instance
string
code
string